Subject: Bug#3505: ndc does not use start-stop-daemon

From: Ian Jackson <[email-masked]>
Date: Wed, 3 Jul 96 21:23 BST

Package: bind
Version: 4.9.3-BETA24-1

While investigating a nameserver problem I had cause to look at
/usr/sbin/ndc.

I see that it doesn't use start-stop-daemon.  Instead it uses a
combination of ps, grep and other assorted hackery to attempt to find
named's PID.

I surmise that this is because it is an upstream program which must
work (as well as it can) on systems without /proc and
start-stop-daemon.

For Debian, the script should be changed to use start-stop-daemon.  I
believe this will be more easily done if it is rewritten; after all,
it doesn't appear to do very much other than send named signals.

Ian.